using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    public class QuestionTypeDto
    {
        public Guid Id { get; set; }

        [Required(ErrorMessage = "题型名称是必填项。")]
        [StringLength(20, ErrorMessage = "题型名称不能超过 20 个字符。")]
        public string Name { get; set; }

        [Required(ErrorMessage = "科目ID是必填项。")]
        public Guid SubjectId { get; set; }

        public string Description { get; set; }

        [StringLength(20, ErrorMessage = "评分规则不能超过 20 个字符。")]
        public string ScoreRule { get; set; }
    }
}
